<!DOCTYPE HTML>
<html>
	<head>
		<title>Get State Capital Information from the State Abbreviation</title>
	</head>
	<body>
		<h1>Get State Capital Information from the State Abbreviation</h1>
		<form action="StateCapitalInfoFromAbbr.php" method="get" name="frmGetInfoFromAbbr">
		<label for="txtAbbr">Enter State Abbreviation: </label>
		<select name="txtStateAbbr">
			<?php
				require "Credentials.php";  //The credentials file contains the variables $hostname, $database, $username, $password
				try{
					$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
					$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
				} catch(PDOException $e){
					echo $e->getMessage();
					die();
				}
			
				$statement = $conn->prepare("SELECT StateName, StateAbbr FROM tbstatecapital");
				$statement->execute();
				while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
					//using an associative array approach
					echo "<option value='";
					echo $row['StateAbbr'] . "'>";
					echo $row['StateName'];
					echo "</option>\n";
				}
			?>
		</select>
		<input id="btnSubmit" type="Submit" value="Submit State Abbreviation"  />
		</form>
	</body>
</html>
